Skip to main content
PATCH
C#

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the experiment to update.

Body

Partial update of an experiment. Only provided fields are updated. Providing allocations replaces the entire allocations set.

name
string

A human-readable name for the experiment

Required string length: 3 - 255
Pattern: ^(?!.*\x00)\S(.*\S)?$
description
string | null

A description of the experiment

Required string length: 3 - 1024
Pattern: ^(?!.*\x00)\S(.*\S)?$
assignment_config
object

Configuration for how users are assigned to variations

allocations
object[]

Replaces all traffic allocations. Cannot be modified while the experiment is active.

Minimum array length: 1

Response

Experiment successfully updated.

id
string
required
Pattern: ^exp_[A-HJ-NP-Za-km-z1-9]+$
name
string
required
feature_flag_id
string
required
authentication_flow
string
required
status
enum<string>
required

Filter by status. Exact match.

Available options:
draft,
active,
paused,
completed,
archived
is_valid
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string
allocation_strategy
enum<string>
Available options:
percentage,
segment
assignment_config
object
is_stateful
boolean
feature_flag_snapshot
object | null
allocations
object[]
started_at
string<date-time>
ended_at
string<date-time>